> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/scheduling.md).

# Scheduling

- [Simple Scheduling](https://docs.xibosignage.com/scheduling/simple_scheduling.md): Xibo has a variety of scheduling tools in order to deliver the right content at the right location at the right time.
- [Repeat scheduling](https://docs.xibosignage.com/scheduling/scheduling_repeats.md): Set up recurring Events to repeat at specified intervals.
- [Using Priority and Display Order](https://docs.xibosignage.com/scheduling/scheduling_priority_display_order.md): Xibo has a number of scheduling tools to allow for the simple creation of schedules across one or more Displays/Display groups.
- [Scheduling](https://docs.xibosignage.com/scheduling/scheduling_events.md): Available Event Types in scheduling.
- [Layout List - Campaign](https://docs.xibosignage.com/scheduling/scheduling_layout_list.md): Create a Campaign containing a list of ordered Layouts so that they play in a controlled sequence.
- [Ad Campaigns](https://docs.xibosignage.com/scheduling/scheduling_ad_campaigns.md): Create Advertising Campaigns where Xibo will work out how many plays are needed to satisfy entered criteria and handle the scheduling automatically for you.
- [Overlay Layouts](https://docs.xibosignage.com/scheduling/scheduling_overlays.md): An Overlay Layout will show on top of other Layouts once Scheduled.
- [Geo Scheduling](https://docs.xibosignage.com/scheduling/scheduling_geolocation.md): Scheduled Events can be configured to be location aware with locations displayed on a map view.
- [Dayparting](https://docs.xibosignage.com/scheduling/scheduling_dayparting.md): Dayparting allows Displays to show relevant content based on the immediate needs of your audience allowing you to tailor content without manual intervention.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/scheduling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
